Important
New database features are no longer connected to engine versions; features are now enabled independently during scheduled update windows, and “major” and “minor” releases no longer exist in Helios. Please visit the release notes to view the latest features available in your database clusters.
Control Plane Audit Logs
On this page
SingleStore identifies and logs the user actions in the Control Plane that can be used to track user activity.
|
Category |
Event |
|---|---|
|
Cluster |
|
|
Cluster group |
|
|
Observability |
|
|
Cloud Portal |
|
|
Team |
|
|
Authentication |
|
|
Notebook |
|
Access Control Plane Audit Logs
Use the AuditLogs path (/v1/auditLogs endpoint) in the Management API to access the Control Plane audit logs.
curl -X 'GET' \'https://api.singlestore.com/v1/auditLogs' \-H 'accept: application/json' \-H 'Authorization: Bearer <API_key>'
The following parameters can be used to filter the audit logs fetched from the Management API:
|
Parameter |
Description |
|---|---|
|
|
Returns audit log entries that match the specified value for the respective field in the audit log. |
|
|
Returns audit log entries where the |
|
|
Retrieves audit log entries where the |
|
|
Limits the number of returned audit log entries to the specified value. |
|
|
Returns the audit log entries generated after the specified |
|
|
If enabled, audit log entries are returned in descending order by the |
Refer to Management API Reference for more information.
Control Plane Audit Log Format
The Management API returns the Control Plane audit logs formatted as JSON records.
{"nextToken": "2025-08-23T20:10:24.566869Z","auditLogs": [{"orgID": "d4226b30-0000-1000-9000-e56cc36be262","auditID": "9a189082-0000-1000-9000-d574adbbe889","type": "WorkspaceGroupCreate","source": "Portal","createdAt": "2025-07-22T03:15:06.693055Z","reason": "Workspace group (1baae325-0000-1000-9000-17b67a0af1ce) created in project (3c8d7c87-0000-1000-9000-feebd4f92dcf)","userType": "Employee","version": 0}]}
Each Control Plane audit log entry may contain a subset of the fields listed in the following table:
|
Field |
Description |
|---|---|
|
|
ID of the organization associated with this event. |
|
|
ID of the audit log entry. |
|
|
Type of the audit log event. |
|
|
Email ID of the user that triggered this event. |
|
|
ID of the user that triggered this event. |
|
|
Type of the user that triggered this event. |
|
|
ID of the cluster associated with this event. |
|
|
ID of the project associated with this event. |
|
|
ID of the authorization session associated with this event. |
|
|
ID of the team associated with this event. |
|
|
Source of the audit log entry. |
|
|
The timestamp (in the RFC3339Nano format) of when the audit log entry was created. |
|
|
Additional keys and values specific to the audit log. |
|
|
Error message, if any, related to this audit log entry. |
|
|
A detailed description of the event. |
|
|
First name of a redacted user. |
|
|
Last name of a redacted user. |
|
|
List of audit-related keywords. |
|
|
Timestamp of the latest audit log entry. If specified in the API call, the API only returns the audit log entries generated after the specified timestamp. |
Control Plane Audit Log Event Types
The following is a list of logged event types for each category:
|
Category |
Event Type | |
|---|---|---|
|
Notebook Management |
| |
|
Cluster Operations |
| |
|
Workspace Management |
|
|
|
Alert Management |
|
|
|
User Management |
|
|
|
Team Management |
|
|
|
Billing & Payment |
|
|
|
Security & Access |
|
|
|
Maintenance & Config |
|
|
|
Firewall Management |
|
|
|
Storage Management |
| |
|
Job Scheduling |
|
|
|
Database Operations |
|
|
|
Network & Connectivity |
| |
|
SCIM Integration |
|
|
|
Operations API |
| |
|
Encryption Management |
|
Last modified: